GET /conversations/{convId}/items

circuitsandbox.net

Summary: Gets a list of conversation items
Operation ID: getConversationItems
Auth: unknown
Description

Gets a list of conversation items. OauthScopes: READ_CONVERSATIONS

Parameters (4)

convId (string, path, required)

The ID of the conversation to which the items belong

Constraints: {'maxLength': 2048}

direction (string, query, optional, default: BEFORE)

The direction of the search based on the modification time. Valid values are either BEFORE (default) or AFTER

Constraints: {'maxLength': 2048, 'enum': ['BEFORE', 'AFTER']}

modTime (string, query, optional)

The modification time of the item in UTC format. During the query the items before (default) or after this timestamps are returned. In case no timestamp is specified the current server time in UTC is used, i.e. the last 25 modified items are returned

results (number, query, optional, default: 25)

The maximum number of returned results (default 25). The maximum allowed value is 100.

Constraints: {'minimum': 1, 'maximum': 100}

No probe data for this endpoint yet.